On Friday, 22 April 2016 17:09:40 CEST Andreas Beckmann wrote:
> Control: reopen -1

> On Mon, 22 Feb 2016 18:06:27 +0200 =?UTF-8?B?T3R0byBLZWvDpGzDpGluZW4=?=
> <o...@seravo.fi> wrote:
> > Amarok defines as build dependency:

> > Build-Depends-Indep: mysql-server-core-5.6 | mysql-server-core

> > This should be changed to:

> > Build-Depends-Indep: mysql-server-core-5.6 | virtual-mysql-server-core
 
> That has been implemented, but that's the wrong approach.
 
> The buildds only consider the first alternative. This will break once
> mysql-5.6 gets replaced by mysql-5.7 (or whatever else).
> This will break in stretch in case mysql-5.6 leaves stretch.
> And even if secondary alternatives would be considered by the buildds -
> which provider of virtual-mysql-server-core should be installed? There
> is probably more than one ...
 
> So in this case you would really want a generic real package as first
> alternative:
 
> Build-Depends(-Indep): default-mysql-server-core | virtual-mysql-server-core
 
> except that we currently don't have default-mysql-server-core ...

Would you mind cloning this bug and reassigning it to the mysql maintainers, 
so we either get a default-mysql-server-core  to build depend on or some other 
valid solution.

Happy hacking,
-- 
"Nothing ever goes away." -- Commoner's Law of Ecology
Saludos /\/\ /\ >< `/

Attachment: signature.asc
Description: This is a digitally signed message part.

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to